Associated revisions
Revision ea093139 - 2011-09-08 15:50 - Lienhart Woitok

[BUGFIX] AOP: Fix call to parent method if method is not proxied in subclass

If a method is overridden in a subclass that calls its advice parent class,
but no proxy method is generated for this method, invokeJoinPoint has to
call invokeJoinPoint of the parent class. This has to be done regardless
of the method being in advice mode or not.

Change-Id: Ie89b99577ad4843d2d6fef5f86bb3a9371dab57c
Resolves: #29576

History
#1 - 2011-09-08 15:50 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change Ie89b99577ad4843d2d6fef5f86bb3a9371dab57c has been pushed to the review server.
It is available at http://review.typo3.org/4857

#2 - 2011-09-09 11:06 - Lienhart Woitok
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ea0931397852d76e99d6fa5a2543b49c6c207029.
